require( "scripts/style.lua" );

-- gRows and gColumns are set up in mainmenu.lua


-- Our mini-game set-up
MakeDialog
{
	-- Name the modal dialog
	name="minigame_menu",
	Bitmap
	{
		name="backgroundimage",
		image="backgrounds/loading",
		
		Minigamemenu
		{
			x=0,
			y=0,
			w=1024,
			h=768,
			rows=gRows,
			columns=gColumns,
			Bitmap
			{
				name = "bg",
				--image = "backgrounds/scene",
				x = 0,
				y = 0,
				scale = 1.00
			}
		},


		SetStyle(CleoButtonStyle),
		Button
		{
			x=kCenter,
			y=kMax-60,
			name="back",
			default=true,
			cancel=true,
			label="back",
			command =
				function()
					PopModal("minigame_menu");
				end
		};

	},
}
